Summary:	Improved SANE frontend
Summary(pl.UTF-8):	Ulepszony frontend do SANE
Summary(zh_CN.UTF-8):	xsane - 一个图形扫描程序
Name:		xsane
Version:	0.999
Release:	3
License:	GPL v2+
Group:		X11/Applications/Graphics
# Source0Download:	http://www.xsane.org/cgi-bin/sitexplorer.cgi?/download/
Source0:	http://www.xsane.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	9927f21e1ab6ba96315e7f0e30746deb
Source1:	%{name}.desktop
Source2:	%{name}.png
# from Fedora
Patch0:		%{name}-0.995-xdg-open.patch
Patch1:		%{name}-0.995-close-fds.patch
Patch2:		%{name}-0.996-no-eula.patch
Patch3:		%{name}-0.997-off-root-build.patch
Patch4:		%{name}-0.999-no-file-selected.patch
Patch5:		%{name}-0.997-ipv6.patch
Patch6:		%{name}-0.998-preview-selection.patch
Patch7:		%{name}-0.998-libpng.patch
Patch8:		%{name}-0.998-wmclass.patch
Patch9:		%{name}-0.998-desktop-file.patch
Patch10:	%{name}-0.999-man-page.patch
Patch11:	%{name}-0.999-pdf-no-high-bpp.patch
Patch12:	%{name}-0.999-lcms2.patch
Patch13:	%{name}-0.999-coverity.patch
Patch14:	%{name}-0.999-snprintf-update.patch
Patch15:	%{name}-0.999-signal-handling.patch
# PLD
Patch50:	%{name}-datadir.patch
Patch51:	%{name}-pl.po-update.patch
Patch52:	%{name}-poMakefile.patch
Patch53:	%{name}-build.patch
URL:		http://www.xsane.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gimp-devel >= 1:2.0.0
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	lcms2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig
BuildRequires:	sane-backends-devel >= 1.0.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gimpplugindir	%(gimptool --gimpplugindir 2>/dev/null)/plug-ins

%description
XSane is a graphical scanning frontend. It uses the SANE library to
talk to scanner.

%description -l pl.UTF-8
XSane jest graficznym frontendem do skanowania. Używa biblioteki SANE
do komunikacji ze skanerem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1

mv -f po/{zh,zh_TW}.po

%{__sed} -i -e 's/ zh/ zh_TW/' configure.in

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_gimpplugindir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -sf %{_bindir}/xsane $RPM_BUILD_ROOT%{_gimpplugindir}/xsane

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ICM.TODO xsane.{ACCELKEYS,AUTHOR,BUGS,CHANGES,LOGO,NEWS,ONLINEHELP,PROBLEMS,ROOT,TODO}
%attr(755,root,root) %{_bindir}/xsane
%attr(755,root,root) %{_gimpplugindir}/xsane
%{_datadir}/xsane
%{_mandir}/man1/xsane.1*
%{_desktopdir}/xsane.desktop
%{_pixmapsdir}/xsane.png
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xsane.git;a=log;h=master

* Tue Aug 26 2014 Elan Ruusamäe <glen@delfi.ee> 9412048
- keep fedora comments in .patch not .spec

* Tue Aug 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 12d07cf
- rel 3; bunch of fedora fixes

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d170fd
- release 2 (by relup.sh)

* Thu May 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 251eff0
- up to 0.999; add ipv6 from fc

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c4204c6
- rel 5; png fix

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 60c7cd0
- release 4

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 09936a4
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 81dd51a
- release 2

* Wed Jan 05 2011 lisu <lisu@pld-linux.org> 6d25bed
- up to 0.998

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> 9b4155c
- rel 3

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e286b4
- release 2

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> cfee435
- BR: pkgconfig
- don't complain about gimptool missing

* Sat Feb 06 2010 Szymon Siwek <sls@pld-linux.org> b53e46d
- rel. 1

* Sat Feb 06 2010 Szymon Siwek <sls@pld-linux.org> e84ba9d
- updated for 0.997

* Sat Feb 06 2010 Szymon Siwek <sls@pld-linux.org> 0c2880f
- ver. 0.997 (NFY)

* Fri Jul 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 31e98f4
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 9e8832d
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Thu Dec 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 4e63090
- ugh, typo

* Thu Dec 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 8eef7ab
- updated to 0.995
- updated pl.po-update patch
- dropped gtk1 bcond

* Thu Dec 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 26a10c3
- updated for 0.995

